Ubuntu 14.04 LTS新内核安全更新,修复Spectre V2漏洞
2018/03/10 08:01:28 来源:Linux公社 作者:听雨

Ubuntu 14.04 LTS新内核安全更新,修复Spectre V2漏洞

Canonical今天宣布推出针对运行Linux 3.13内核的Ubuntu 14.04 LTS(Trusty Tahr)操作系统的新内核安全更新,以在32位和64位安装上修复Spectre漏洞的第二个变体。

在2018年1月23日,Canonical将Ubuntu 14.04 LTS(Trusty Tahr)的内核软件包更新为linux-image 3.13.0-141.190版本,修补了Jann Horn发现的针对64位(amd64)安全漏洞的Specter Variant 2安全漏洞,硬件架构。

本地攻击者可以利用Spectre漏洞利用分支预测和推测执行功能从现代微处理器上的内核内存泄露敏感信息。 Canonical现在增加了对Ubuntu 14.04 LTS系统的32位硬件架构的支持。

“USN-3542-1缓解了Ubuntu 14.04 LTS中amd64体系结构的CVE-2017-5715(Specter Variant 2),该更新为amd64和i386体系结构提供了基于编译器的retpoline内核缓解措施,”阅读今天的安全公告。 “要更新您的系统,请按照以下说明操作:https://wiki.ubuntu.com/Security/Upgrades。”

我们敦促用户立即更新他们的安装

如果您仍然在桌面或服务器机器上使用Ubuntu 14.04 LTS(Trusty Tahr)操作系统,并且它运行的是Linux 3.13内核,则需要您将安装更新到linux-image 3.13.0-143.192内核程序包,现在在主要的软件库中可以使用它们作为通用,通用lpae和低延迟镜像。

Canonical建议用户在安装新内核版本后重新启动其安装,以便所有必要的更改生效。另外,请注意,您必须重新编译并重新安装更新内核程序包后可能安装的任何第三方内核模块。

在2018年2月22日,Canonical在针对由Xenial HWE(硬件启用)内核驱动的Ubuntu 14.04.5 LTS系统的64位和32位体系结构中发布了针对Specter Variant 2的基于编译器的retpoline缓解的类似内核更新,作为以及Ubuntu 17.10,Ubuntu 16.04 LTS和Ubuntu 12.04 ESM机器。

相关:Canonical发布Ubuntu Linux的Spectre补丁和PowerPC的Meltdown补丁 https://www.linuxidc.com/Linux/2018-01/150520.htm

更多Ubuntu相关信息见Ubuntu 专题页面 https://www.linuxidc.com/topicnews.aspx?tid=2

本文永久更新链接地址https://www.linuxidc.com/Linux/2018-03/151293.htm


8

本栏最新